/*******************************************************************************
* YORKTOWN ADVANCED SGML PARSER (YASP)                                         *
*         An SGML Parser conforming to International Standard ISO 8879 --      *
*         Standard Generalized Markup Language                                 *
*------------------------------------------------------------------------------*
* Written 1987 - 1993 by                                                       *
*         Pierre G. Richard                                                    *
*         IBM T.J. Watson Research Center                                      *
*         Yorktown Heights, New York                                           *
*         petrus@watson.ibm.com                                                *
*------------------------------------------------------------------------------*
* FUNCTION NAME    = YASP / Header File                                        *
* STATUS           = Version 0, Release 1, Level 33 and up                     *
* COMPONENT NAME   = yasp.h                                                    *
* DESCRIPTIVE NAME = Prototyping of the main YASP functions                    *
* DATE_WR          = 11/15/1987                                                *
* AUTHOR           = Pierre G. Richard - PETRUS at YKTVMX                      *
*                                                                              *
* FUNCTIONAL DESCRIPTION =                                                     *
* IMPLEMENTATION NOTES =                                                       *
* CHANGE HISTORY =                                                             *
*******************************************************************************/

extern uchar * _loadds P_FCT bnr_ocs  (void);
extern uchar * _loadds P_FCT bnr_odt  (void);

#ifdef GLOBAL_INCLUDED
extern void *  P_FCT min_load  (GA_P);
extern void    P_FCT submain   (GA_P);
extern boolean P_FCT ocs_main  (GA_P);
extern void    P_FCT odt_main  (GA_P, uchar *);
extern void    P_FCT olt_main  (GA_P, uchar *);

#ifdef SGML_INCLUDED
extern void    P_FCT prs_prid  (GA_P, ELT *);
extern void    P_FCT prs_subd  (GA_P, ELT *);             /* SUBDOC */
#endif
#endif

/******************************************************************************/
