/*******************************************************************************
* XXXX-YYY (C) COPYRIGHT IBM CORPORATION 1987 - 1988 - 1989 - 1990             *
*------------------------------------------------------------------------------*
* FUNCTION NAME    = YASP / SGML Library                                       *
* STATUS           = Version 0, Release 1, Level 16 and up                     *
* COMPONENT NAME   = message.c                                                 *
* DESCRIPTIVE NAME = Define message strings (for NLS future)                   *
* DATE_WR          = 02/10/1989                                                *
* AUTHOR           = Pierre G. Richard - PETRUS at YKTVMX                      *
*                                                                              *
* FUNCTIONAL DESCRIPTION =                                                     *
*                                                                              *
* Get a message given its message identifier.                                  *
*                                                                              *
* IMPLEMENTATION NOTES:  The "msg_get" prototype is different of the           *
* one found in sgml.h: sgml.h cannot be included because the MSGCODE enum      *
* conflicts with the MSG macro.                                                *
*******************************************************************************/

/*-------------+
|Include Files |
+-------------*/
#include "machine.h"
#include "portable.h"
#include "gnmsgdef.h"

#define MSG(code,lit) static MSGDEF code[1] = { #code, lit }

#include "msgstr.h"

static MSGDEF *msgdef_array[] = {
#include "msgcode.h"
};

MSGDEF * P_FCT msgdef_get(uint i) { return(msgdef_array[i]); }
/******************************************************************************/
